summaryrefslogtreecommitdiff
path: root/dev-ruby
diff options
context:
space:
mode:
Diffstat (limited to 'dev-ruby')
-rw-r--r--dev-ruby/brotli/brotli-0.6.0-r1.ebuild39
-rw-r--r--dev-ruby/brotli/files/brotli-0.6.0-definemethod.patch46
-rw-r--r--dev-ruby/io-event/files/io-event-1.6.5-update-test-hooks.patch157
-rw-r--r--dev-ruby/io-event/io-event-1.5.1-r1.ebuild (renamed from dev-ruby/io-event/io-event-1.6.5.ebuild)4
-rw-r--r--dev-ruby/io-event/io-event-1.6.5-r1.ebuild40
-rw-r--r--dev-ruby/ruby-opengl/Manifest1
-rw-r--r--dev-ruby/ruby-opengl/ruby-opengl-0.10.0-r1.ebuild39
-rw-r--r--dev-ruby/typhoeus/Manifest1
-rw-r--r--dev-ruby/typhoeus/metadata.xml12
-rw-r--r--dev-ruby/typhoeus/typhoeus-1.4.1.ebuild46
-rw-r--r--dev-ruby/with_advisory_lock/Manifest1
-rw-r--r--dev-ruby/with_advisory_lock/metadata.xml (renamed from dev-ruby/ruby-opengl/metadata.xml)9
-rw-r--r--dev-ruby/with_advisory_lock/with_advisory_lock-5.1.0.ebuild41
13 files changed, 336 insertions, 100 deletions
diff --git a/dev-ruby/brotli/brotli-0.6.0-r1.ebuild b/dev-ruby/brotli/brotli-0.6.0-r1.ebuild
new file mode 100644
index 000000000000..82a17cf60d1f
--- /dev/null
+++ b/dev-ruby/brotli/brotli-0.6.0-r1.ebuild
@@ -0,0 +1,39 @@
+# Copyright 1999-2024 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=8
+USE_RUBY="ruby31 ruby32 ruby33"
+
+RUBY_FAKEGEM_EXTRADOC="README.md"
+
+RUBY_FAKEGEM_RECIPE_TEST="rspec3"
+
+RUBY_FAKEGEM_BINWRAP=""
+
+RUBY_FAKEGEM_GEMSPEC="brotli.gemspec"
+
+RUBY_FAKEGEM_EXTENSIONS=(ext/brotli/extconf.rb)
+
+inherit ruby-fakegem
+
+DESCRIPTION="Brotli compressor/decompressor"
+HOMEPAGE="https://github.com/miyucy/brotli"
+SRC_URI="https://github.com/miyucy/brotli/archive/v${PV}.tar.gz -> ${P}.tar.gz"
+
+LICENSE="MIT"
+SLOT="$(ver_cut 1)"
+KEYWORDS="~amd64"
+
+RDEPEND=" >=app-arch/brotli-1.1.0"
+DEPEND=" >=app-arch/brotli-1.1.0"
+
+# Depends on the test data in app-arch/brotli
+RESTRICT="test"
+
+PATCHES=( "${FILESDIR}/${P}-definemethod.patch" )
+
+all_ruby_prepare() {
+ sed -e 's/git ls-files -z -- spec/find spec -print0/' \
+ -e 's/git ls-files -z/find * -print0/' \
+ -i ${RUBY_FAKEGEM_GEMSPEC} || die
+}
diff --git a/dev-ruby/brotli/files/brotli-0.6.0-definemethod.patch b/dev-ruby/brotli/files/brotli-0.6.0-definemethod.patch
new file mode 100644
index 000000000000..1338c5bf3be2
--- /dev/null
+++ b/dev-ruby/brotli/files/brotli-0.6.0-definemethod.patch
@@ -0,0 +1,46 @@
+From 8e589adb92a7d5c8c9e8d35bb116ad5ab0686e30 Mon Sep 17 00:00:00 2001
+From: =?UTF-8?q?=E5=8D=9C=E9=83=A8=E6=98=8C=E5=B9=B3?=
+ <shyouhei@ruby-lang.org>
+Date: Tue, 26 Nov 2024 13:42:54 +0900
+Subject: [PATCH] stop worrying and just pass bare function
+
+`rb_define_method` etc. already take care arities. You don't have
+to apply RUBY_METHOD_FUNC.
+---
+ ext/brotli/brotli.c | 16 ++++++++--------
+ 1 file changed, 8 insertions(+), 8 deletions(-)
+
+diff --git a/ext/brotli/brotli.c b/ext/brotli/brotli.c
+index cb69500..a9cc23d 100644
+--- a/ext/brotli/brotli.c
++++ b/ext/brotli/brotli.c
+@@ -475,9 +475,9 @@ Init_brotli(void)
+ rb_mBrotli = rb_define_module("Brotli");
+ rb_eBrotli = rb_define_class_under(rb_mBrotli, "Error", rb_eStandardError);
+ rb_global_variable(&rb_eBrotli);
+- rb_define_singleton_method(rb_mBrotli, "deflate", RUBY_METHOD_FUNC(brotli_deflate), -1);
+- rb_define_singleton_method(rb_mBrotli, "inflate", RUBY_METHOD_FUNC(brotli_inflate), 1);
+- rb_define_singleton_method(rb_mBrotli, "version", RUBY_METHOD_FUNC(brotli_version), 0);
++ rb_define_singleton_method(rb_mBrotli, "deflate", brotli_deflate, -1);
++ rb_define_singleton_method(rb_mBrotli, "inflate", brotli_inflate, 1);
++ rb_define_singleton_method(rb_mBrotli, "version", brotli_version, 0);
+ id_read = rb_intern("read");
+ // Brotli::Writer
+ id_write = rb_intern("write");
+@@ -485,9 +485,9 @@ Init_brotli(void)
+ id_close = rb_intern("close");
+ rb_Writer = rb_define_class_under(rb_mBrotli, "Writer", rb_cObject);
+ rb_define_alloc_func(rb_Writer, rb_writer_alloc);
+- rb_define_method(rb_Writer, "initialize", RUBY_METHOD_FUNC(rb_writer_initialize), -1);
+- rb_define_method(rb_Writer, "write", RUBY_METHOD_FUNC(rb_writer_write), 1);
+- rb_define_method(rb_Writer, "finish", RUBY_METHOD_FUNC(rb_writer_finish), 0);
+- rb_define_method(rb_Writer, "flush", RUBY_METHOD_FUNC(rb_writer_flush), 0);
+- rb_define_method(rb_Writer, "close", RUBY_METHOD_FUNC(rb_writer_close), 0);
++ rb_define_method(rb_Writer, "initialize", rb_writer_initialize, -1);
++ rb_define_method(rb_Writer, "write", rb_writer_write, 1);
++ rb_define_method(rb_Writer, "finish", rb_writer_finish, 0);
++ rb_define_method(rb_Writer, "flush", rb_writer_flush, 0);
++ rb_define_method(rb_Writer, "close", rb_writer_close, 0);
+ }
+--
+2.47.0
diff --git a/dev-ruby/io-event/files/io-event-1.6.5-update-test-hooks.patch b/dev-ruby/io-event/files/io-event-1.6.5-update-test-hooks.patch
new file mode 100644
index 000000000000..09e2f96a2223
--- /dev/null
+++ b/dev-ruby/io-event/files/io-event-1.6.5-update-test-hooks.patch
@@ -0,0 +1,157 @@
+From c2ffc28e97a08534e003eaf25abfa35279274263 Mon Sep 17 00:00:00 2001
+From: Samuel Williams <samuel.williams@oriontransfer.co.nz>
+Date: Wed, 4 Sep 2024 20:53:04 +1200
+Subject: [PATCH] Update test before/after hooks.
+
+---
+ test/io/event/selector.rb | 12 ++++--------
+ test/io/event/selector/buffered_io.rb | 4 ++--
+ test/io/event/selector/cancellable.rb | 7 +++----
+ test/io/event/selector/file_io.rb | 4 ++--
+ test/io/event/selector/process_io.rb | 4 ++--
+ test/io/event/selector/queue.rb | 4 ++--
+ 6 files changed, 15 insertions(+), 20 deletions(-)
+
+diff --git a/test/io/event/selector.rb b/test/io/event/selector.rb
+index 760369a6..ee1a53f8 100644
+--- a/test/io/event/selector.rb
++++ b/test/io/event/selector.rb
+@@ -622,14 +622,12 @@ def transfer
+ end
+
+ with 'an instance' do
+- def before
++ before do
+ @loop = Fiber.current
+ @selector = subject.new(@loop)
+- super
+ end
+
+- def after
+- super
++ after do
+ @selector&.close
+ end
+
+@@ -642,14 +640,12 @@ def after
+ end
+
+ describe IO::Event::Debug::Selector do
+- def before
++ before do
+ @loop = Fiber.current
+ @selector = subject.new(IO::Event::Selector.new(loop))
+- super
+ end
+
+- def after
+- super
++ after do
+ @selector&.close
+ end
+
+diff --git a/test/io/event/selector/buffered_io.rb b/test/io/event/selector/buffered_io.rb
+index 3659d717..3b74d569 100644
+--- a/test/io/event/selector/buffered_io.rb
++++ b/test/io/event/selector/buffered_io.rb
+@@ -80,12 +80,12 @@
+ next unless klass.instance_methods.include?(:io_read)
+
+ describe(klass, unique: name) do
+- def before
++ before do
+ @loop = Fiber.current
+ @selector = subject.new(@loop)
+ end
+
+- def after
++ after do
+ @selector&.close
+ end
+
+diff --git a/test/io/event/selector/cancellable.rb b/test/io/event/selector/cancellable.rb
+index 2dfa2bae..cb6c1f2a 100644
+--- a/test/io/event/selector/cancellable.rb
++++ b/test/io/event/selector/cancellable.rb
+@@ -15,8 +15,7 @@
+ let(:input) {pipe.first}
+ let(:output) {pipe.last}
+
+- def after
+- super
++ after do
+ input.close
+ output.close
+ end
+@@ -70,12 +69,12 @@ def after
+ next unless klass.instance_methods.include?(:io_read)
+
+ describe(klass, unique: name) do
+- def before
++ before do
+ @loop = Fiber.current
+ @selector = subject.new(@loop)
+ end
+
+- def after
++ after do
+ @selector&.close
+ end
+
+diff --git a/test/io/event/selector/file_io.rb b/test/io/event/selector/file_io.rb
+index 70a2c962..395a45e3 100644
+--- a/test/io/event/selector/file_io.rb
++++ b/test/io/event/selector/file_io.rb
+@@ -49,12 +49,12 @@
+ next unless klass.instance_methods.include?(:io_read)
+
+ describe(klass, unique: name) do
+- def before
++ before do
+ @loop = Fiber.current
+ @selector = subject.new(@loop)
+ end
+
+- def after
++ after do
+ @selector&.close
+ end
+
+diff --git a/test/io/event/selector/process_io.rb b/test/io/event/selector/process_io.rb
+index cb8c73de..1ccff956 100644
+--- a/test/io/event/selector/process_io.rb
++++ b/test/io/event/selector/process_io.rb
+@@ -43,12 +43,12 @@
+ klass = IO::Event::Selector.const_get(name)
+
+ describe(klass, unique: name) do
+- def before
++ before do
+ @loop = Fiber.current
+ @selector = subject.new(@loop)
+ end
+
+- def after
++ after do
+ @selector&.close
+ end
+
+diff --git a/test/io/event/selector/queue.rb b/test/io/event/selector/queue.rb
+index e62af5c4..8017dc36 100644
+--- a/test/io/event/selector/queue.rb
++++ b/test/io/event/selector/queue.rb
+@@ -198,12 +198,12 @@ def object.transfer
+ klass = IO::Event::Selector.const_get(name)
+
+ describe(klass, unique: name) do
+- def before
++ before do
+ @loop = Fiber.current
+ @selector = subject.new(@loop)
+ end
+
+- def after
++ after do
+ @selector&.close
+ end
+
diff --git a/dev-ruby/io-event/io-event-1.6.5.ebuild b/dev-ruby/io-event/io-event-1.5.1-r1.ebuild
index 54d45037491d..49f3e0ca5c6d 100644
--- a/dev-ruby/io-event/io-event-1.6.5.ebuild
+++ b/dev-ruby/io-event/io-event-1.5.1-r1.ebuild
@@ -24,6 +24,10 @@ IUSE="+io-uring"
RDEPEND="io-uring? ( sys-libs/liburing:= )"
DEPEND="${RDEPEND}"
+PATCHES=(
+ "${FILESDIR}"/${PN}-1.6.5-update-test-hooks.patch
+)
+
all_ruby_prepare() {
sed -i -E 's/require_relative "(.+)"/require File.expand_path("\1")/g' "${RUBY_FAKEGEM_GEMSPEC}" || die
diff --git a/dev-ruby/io-event/io-event-1.6.5-r1.ebuild b/dev-ruby/io-event/io-event-1.6.5-r1.ebuild
new file mode 100644
index 000000000000..49f3e0ca5c6d
--- /dev/null
+++ b/dev-ruby/io-event/io-event-1.6.5-r1.ebuild
@@ -0,0 +1,40 @@
+# Copyright 2022-2024 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=8
+
+USE_RUBY="ruby31 ruby32 ruby33"
+
+RUBY_FAKEGEM_EXTENSIONS=(ext/extconf.rb)
+RUBY_FAKEGEM_EXTRADOC="readme.md"
+RUBY_FAKEGEM_GEMSPEC="${PN}.gemspec"
+RUBY_FAKEGEM_RECIPE_TEST="sus"
+
+inherit ruby-fakegem
+
+DESCRIPTION="An event loop"
+HOMEPAGE="https://github.com/socketry/io-event"
+SRC_URI="https://github.com/socketry/io-event/archive/v${PV}.tar.gz -> ${P}.tar.gz"
+
+LICENSE="MIT"
+SLOT="$(ver_cut 1)"
+KEYWORDS="~amd64 ~arm ~arm64 ~hppa ~ppc ~ppc64 ~riscv ~sparc ~x86"
+IUSE="+io-uring"
+
+RDEPEND="io-uring? ( sys-libs/liburing:= )"
+DEPEND="${RDEPEND}"
+
+PATCHES=(
+ "${FILESDIR}"/${PN}-1.6.5-update-test-hooks.patch
+)
+
+all_ruby_prepare() {
+ sed -i -E 's/require_relative "(.+)"/require File.expand_path("\1")/g' "${RUBY_FAKEGEM_GEMSPEC}" || die
+
+ # Avoid dependency on unpackaged covered package
+ rm -f config/sus.rb || die
+
+ if ! use io-uring ; then
+ sed -i -e "s:have_library('uring'):have_library('idonotexist_uring'):" ext/extconf.rb || die
+ fi
+}
diff --git a/dev-ruby/ruby-opengl/Manifest b/dev-ruby/ruby-opengl/Manifest
deleted file mode 100644
index 98ec49dcf54d..000000000000
--- a/dev-ruby/ruby-opengl/Manifest
+++ /dev/null
@@ -1 +0,0 @@
-DIST opengl-0.10.0.gem 565248 BLAKE2B e427590865e7ff13110d22a21d04a936cbdc7e559e80b37be94938a4b15c71ca6341d72bc093a45ca10e7cf419fe720e7c68866724a3c99ddc44314a4b054414 SHA512 8d85d7f8a25e429b18245a10c186d07a85fdc8dc4e158b0001cde2b6e4bacfe4b09552a3b3fba5e14439d2fdbe000ad23bba89563f58f612f79958283b588dde
diff --git a/dev-ruby/ruby-opengl/ruby-opengl-0.10.0-r1.ebuild b/dev-ruby/ruby-opengl/ruby-opengl-0.10.0-r1.ebuild
deleted file mode 100644
index fa5b616c6674..000000000000
--- a/dev-ruby/ruby-opengl/ruby-opengl-0.10.0-r1.ebuild
+++ /dev/null
@@ -1,39 +0,0 @@
-# Copyright 1999-2023 Gentoo Authors
-# Distributed under the terms of the GNU General Public License v2
-
-EAPI=8
-USE_RUBY="ruby31 ruby32 ruby33"
-
-# Two tests fails but the README already indicates that this may not
-# work. Additionally these tests require access to video devices such as
-# /dev/nvidiactl.
-RUBY_FAKEGEM_TASK_TEST=""
-
-RUBY_FAKEGEM_NAME="opengl"
-
-RUBY_FAKEGEM_EXTRADOC="History.md README.rdoc"
-
-RUBY_FAKEGEM_EXTENSIONS=(ext/opengl/extconf.rb)
-RUBY_FAKEGEM_EXTENSION_LIBDIR=(lib/opengl)
-
-inherit ruby-fakegem
-
-DESCRIPTION="OpenGL / GLUT bindings for ruby"
-HOMEPAGE="https://github.com/larskanis/opengl"
-
-LICENSE="MIT"
-SLOT="0"
-KEYWORDS="amd64 ~hppa ppc ppc64 x86"
-
-IUSE=""
-
-DEPEND+=" virtual/opengl
- media-libs/freeglut"
-RDEPEND+=" virtual/opengl
- media-libs/freeglut"
-
-all_ruby_install() {
- all_fakegem_install
-
- dodoc -r examples
-}
diff --git a/dev-ruby/typhoeus/Manifest b/dev-ruby/typhoeus/Manifest
deleted file mode 100644
index 4638122f44ff..000000000000
--- a/dev-ruby/typhoeus/Manifest
+++ /dev/null
@@ -1 +0,0 @@
-DIST typhoeus-1.4.1.gem 57856 BLAKE2B a1562bcaa8a824d40184b043b85f87475f3d31e6488f5bb87d84b9b37933c3fa090cee5a9b2f4910b31c61d2642ad338b321bb741c33713cd43f8cfd77a842e3 SHA512 2970793dfa94a80abf140779a148d9b8d6ab212ca0072c5353b8d158cc625e023e4c7a28ae8471d18ae3bd8cde46f31aae54bbf7a3fde33e980b533af0f81578
diff --git a/dev-ruby/typhoeus/metadata.xml b/dev-ruby/typhoeus/metadata.xml
deleted file mode 100644
index ddfe2ff74850..000000000000
--- a/dev-ruby/typhoeus/metadata.xml
+++ /dev/null
@@ -1,12 +0,0 @@
-<?xml version="1.0" encoding="UTF-8"?>
-<!DOCTYPE pkgmetadata SYSTEM "https://liguros.gitlab.io/dtd/metadata.dtd">
-<pkgmetadata>
- <maintainer type="project">
- <email>ruby@gentoo.org</email>
- <name>Gentoo Ruby Project</name>
- </maintainer>
- <upstream>
- <remote-id type="rubygems">typhoeus</remote-id>
- </upstream>
- <origin>gentoo-staging</origin>
-</pkgmetadata> \ No newline at end of file
diff --git a/dev-ruby/typhoeus/typhoeus-1.4.1.ebuild b/dev-ruby/typhoeus/typhoeus-1.4.1.ebuild
deleted file mode 100644
index 5eda113ddead..000000000000
--- a/dev-ruby/typhoeus/typhoeus-1.4.1.ebuild
+++ /dev/null
@@ -1,46 +0,0 @@
-# Copyright 1999-2024 Gentoo Authors
-# Distributed under the terms of the GNU General Public License v2
-
-EAPI=8
-
-USE_RUBY="ruby31 ruby32"
-
-RUBY_FAKEGEM_EXTRADOC="CHANGELOG.md README.md UPGRADE.md"
-RUBY_FAKEGEM_TASK_DOC=""
-
-RUBY_FAKEGEM_RECIPE_TEST="rspec3"
-
-inherit ruby-fakegem
-
-DESCRIPTION="Runs HTTP requests in parallel while cleanly encapsulating handling logic"
-HOMEPAGE="https://rubygems.org/gems/typhoeus/
- https://github.com/typhoeus/typhoeus"
-
-LICENSE="MIT"
-SLOT="1"
-KEYWORDS="~amd64"
-IUSE=""
-
-# Tests fail with ethon-0.16.0
-# https://github.com/typhoeus/typhoeus/issues/710
-ruby_add_rdepend "<dev-ruby/ethon-0.16.0"
-
-ruby_add_bdepend "test? (
- dev-ruby/json
- dev-ruby/faraday:1
- dev-ruby/rack:2.2
- >=dev-ruby/sinatra-1.3
- >=dev-ruby/redis-3.0
- >=dev-ruby/dalli-2.7.9
-)"
-
-all_ruby_prepare() {
- sed -e '/bundler/I s:^:#:' -i Rakefile spec/spec_helper.rb || die
- sed -i -e '3igem "rack", "~> 2.2.0"; gem "faraday", "<2"; require "timeout"' spec/spec_helper.rb || die
- sed -i -e '/Rack::Handler::WEBrick/ s/options/\*\*options/' spec/support/localhost_server.rb || die
-
- # Avoid specs failing because default headers are provided or
- # checked now, probably due to changes in either rack or webrick.
- sed -e '/calls on_headers and on_\(body\|complete\)/ s/it/xit/' \
- -i spec/typhoeus/request/operations_spec.rb || die
-}
diff --git a/dev-ruby/with_advisory_lock/Manifest b/dev-ruby/with_advisory_lock/Manifest
new file mode 100644
index 000000000000..67c6da770238
--- /dev/null
+++ b/dev-ruby/with_advisory_lock/Manifest
@@ -0,0 +1 @@
+DIST with_advisory_lock-5.1.0.tar.gz 15090 BLAKE2B a559c064793ee205785931eb38af59261b83b7264bfe80d9e5e7e5edcd21ef7e06d2e8cb7b0d4f45b820dda4fb9537925b457e5817c540868993a88d1eb623e2 SHA512 9b949a9c863e8c670230f75cdc10bcd8fe64ac8421e3a25c3c4fefc5470773e49515fe9f3093128cccafb3ef06bb435f06ed5986369c26c72cbe958b8d1a0ea2
diff --git a/dev-ruby/ruby-opengl/metadata.xml b/dev-ruby/with_advisory_lock/metadata.xml
index 246d194b7ec0..52554e87ea85 100644
--- a/dev-ruby/ruby-opengl/metadata.xml
+++ b/dev-ruby/with_advisory_lock/metadata.xml
@@ -3,7 +3,14 @@
<pkgmetadata>
<maintainer type="project">
<email>ruby@gentoo.org</email>
- <name>Gentoo Ruby Project</name>
+ </maintainer>
+ <maintainer type="person">
+ <email>azamat.hackimov@gmail.com</email>
+ <name>Azamat H. Hackimov</name>
+ </maintainer>
+ <maintainer type="project">
+ <email>proxy-maint@gentoo.org</email>
+ <name>Proxy Maintainers</name>
</maintainer>
<origin>gentoo-staging</origin>
diff --git a/dev-ruby/with_advisory_lock/with_advisory_lock-5.1.0.ebuild b/dev-ruby/with_advisory_lock/with_advisory_lock-5.1.0.ebuild
new file mode 100644
index 000000000000..5e73f669115c
--- /dev/null
+++ b/dev-ruby/with_advisory_lock/with_advisory_lock-5.1.0.ebuild
@@ -0,0 +1,41 @@
+# Copyright 2024 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=8
+
+USE_RUBY="ruby31 ruby32 ruby33"
+RUBY_FAKEGEM_GEMSPEC="${PN}.gemspec"
+RUBY_FAKEGEM_EXTRADOC="CHANGELOG.md README.md"
+RUBY_FAKEGEM_RECIPE_TEST="rake"
+RUBY_FAKEGEM_RECIPE_DOC="none"
+
+inherit ruby-fakegem
+
+DESCRIPTION="Advisory locking for ActiveRecord"
+HOMEPAGE="https://github.com/ClosureTree/with_advisory_lock"
+SRC_URI="https://github.com/ClosureTree/with_advisory_lock/archive/refs/tags/${PN}/v${PV}.tar.gz -> ${P}.tar.gz"
+
+LICENSE="MIT"
+SLOT="0"
+KEYWORDS="~amd64"
+
+ruby_add_rdepend "
+ >=dev-ruby/activerecord-6.1:*
+ >=dev-ruby/zeitwerk-2.6
+"
+ruby_add_bdepend "test? (
+ >=dev-ruby/activerecord-6.1:*[sqlite]
+ dev-ruby/maxitest
+ dev-ruby/mocha
+)
+"
+
+all_ruby_unpack() {
+ default
+ mv "${WORKDIR}/all/${PN}-${PN}-v${PV}" "${WORKDIR}/all/${P}" || die
+}
+
+all_ruby_prepare() {
+ sed -i -e "s:require_relative 'lib:require './lib:" ${RUBY_FAKEGEM_GEMSPEC} || die
+ sed -i -e "/git ls-files/d" with_advisory_lock.gemspec || die
+}